import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';

import { BaseListView } from "../../base/base-list-view";
import { ProductProduct } from "../../odoo/models/product.product";

@Component({
    selector: 'page-variants',
    templateUrl: 'variants.html'
})
export class VariantsPage extends BaseListView<ProductProduct> {

    constructor(
        public navCtrl: NavController,
        public navParams: NavParams
    ) { 
        super(ProductProduct);
    }

    ionViewDidLoad() {
        console.log('ionViewDidLoad VariantsPage');
    }

}
